commit ea376dd471a3b006bc48945c1d9a29408ab17a04
Author: Kyrylo Tkachov <kyrylo.tkachov@arm.com>
Date:   Wed Apr 1 12:09:09 2020 +0100

    [AArch64] Fix shrinkwrapping interactions with atomics (PR92692)
    
    2020-04-01  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>
    
            Backport from mainline
            2020-01-17  Wilco Dijkstra  <wdijkstr@arm.com>
    
            PR target/92692
            * config/aarch64/atomics.md (aarch64_compare_and_swap<mode>)
            Use epilogue_completed rather than reload_completed.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index e48d0bcf3d9..d0fc36b8ddf 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,12 @@
+2020-04-01  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>
+
+	Backport from mainline
+	2020-01-17  Wilco Dijkstra  <wdijkstr@arm.com>
+
+	PR target/92692
+	* config/aarch64/atomics.md (aarch64_compare_and_swap<mode>)
+	Use epilogue_completed rather than reload_completed.
+
 2020-04-01  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>
 
 	Backport from mainline
